searchNodes=[{"doc":"Helper functions for manipulating Bamboo.Email to enable Elastic Email functionality.","ref":"Bamboo.ElasticEmail.html","title":"Bamboo.ElasticEmail","type":"module"},{"doc":"Add attachment identifiers to the email. Names or IDs of attachments previously uploaded to your account (via the File/Upload request) that should be sent with this e-mail.","ref":"Bamboo.ElasticEmail.html#attachments/2","title":"Bamboo.ElasticEmail.attachments/2","type":"function"},{"doc":"Sets the channel for the email. An ID field (max 191 chars) that can be used for reporting [will default to HTTP API or SMTP API]","ref":"Bamboo.ElasticEmail.html#channel/2","title":"Bamboo.ElasticEmail.channel/2","type":"function"},{"doc":"Sets the character set for the email or one of the MIME parts. Overrides the global default of &quot;utf-8&quot;. Text value of charset encoding for example: iso-8859-1, windows-1251, utf-8, us-ascii, windows-1250 and more… The part parameter is interpreted as: :amp: sets the charsetBodyAmp option (the AMP body MIME part) :html: sets the charsetBodyHtml option (the HTML body MIME part) :text: sets the charsetBodyText option (the text body MIME part) Any other value sets the global charset option.","ref":"Bamboo.ElasticEmail.html#charset/3","title":"Bamboo.ElasticEmail.charset/3","type":"function"},{"doc":"Sets the data source of the email. Name or ID of the previously uploaded file (via the File/Upload request) which should be a CSV list of Recipients.","ref":"Bamboo.ElasticEmail.html#data_source/2","title":"Bamboo.ElasticEmail.data_source/2","type":"function"},{"doc":"Sets the email encoding type. The default encoding is :base64, which is the recommended value. Either :base64 or :quoted_printable is recommended if you are validating your domain(s) with DKIM. Supported encoding types are: :none: no encoding :raw_7bit: Raw 7bit. Must be plain ASCII. :raw_8bit: Raw 8bit. :quoted_printable: Quoted printable format. :base64: Base64 :uue: UU","ref":"Bamboo.ElasticEmail.html#encoding_type/2","title":"Bamboo.ElasticEmail.encoding_type/2","type":"function"},{"doc":"The name or names of a contact list you would like to send to.","ref":"Bamboo.ElasticEmail.html#lists/2","title":"Bamboo.ElasticEmail.lists/2","type":"function"},{"doc":"Sets merge parameters. The params must be a list of maps or keyword lists (or other 2-tuple lists). Repeated list of string keys and string values Request parameters prefixed by merge like merge_firstname, merge_lastname. If sending to a template you can send merge fields to merge data with the template. Template fields are entered with {firstname}, {lastname} etc.","ref":"Bamboo.ElasticEmail.html#merge/2","title":"Bamboo.ElasticEmail.merge/2","type":"function"},{"doc":"The file name of a previously uploaded attachment which is a CSV list of Recipients.","ref":"Bamboo.ElasticEmail.html#merge_source_filename/2","title":"Bamboo.ElasticEmail.merge_source_filename/2","type":"function"},{"doc":"Name of the custom IP Pool to be used in the sending process.","ref":"Bamboo.ElasticEmail.html#pool_name/2","title":"Bamboo.ElasticEmail.pool_name/2","type":"function"},{"doc":"Optional header returned in notifications.","ref":"Bamboo.ElasticEmail.html#post_back/2","title":"Bamboo.ElasticEmail.post_back/2","type":"function"},{"doc":"The name or names of the Contact segment(s) you wish to send. Use :all for all active contacts.","ref":"Bamboo.ElasticEmail.html#segments/2","title":"Bamboo.ElasticEmail.segments/2","type":"function"},{"doc":"The ID of an email template you have created in your account.","ref":"Bamboo.ElasticEmail.html#template/2","title":"Bamboo.ElasticEmail.template/2","type":"function"},{"doc":"The number of minutes in the future this email should be sent up to a maximum of 1 year (524,160 minutes).","ref":"Bamboo.ElasticEmail.html#time_off_set_minutes/2","title":"Bamboo.ElasticEmail.time_off_set_minutes/2","type":"function"},{"doc":"Indicates whether clicks should be tracked on this email.","ref":"Bamboo.ElasticEmail.html#track_clicks/2","title":"Bamboo.ElasticEmail.track_clicks/2","type":"function"},{"doc":"Indicates whether opens should be tracked on this email.","ref":"Bamboo.ElasticEmail.html#track_opens/2","title":"Bamboo.ElasticEmail.track_opens/2","type":"function"},{"doc":"Set UTM Marketing Parameters for campaign links.","ref":"Bamboo.ElasticEmail.html#utm_parameters/2","title":"Bamboo.ElasticEmail.utm_parameters/2","type":"function"},{"doc":"Utilities for working with the Elastic Email API. The decode_query/{1,2} and encode_query/{1,2} functions are based heavily on Plug.Conn.Query, but the Elastic Email API accepts repeated values for list values instead of requiring [] be appended to the key name. Nested key names are not supported.","ref":"Bamboo.ElasticEmail.Utilities.html","title":"Bamboo.ElasticEmail.Utilities","type":"module"},{"doc":"Decode an Elastic Email API query string. Because the decoded query is returned as a map, a list is always returned. iex&gt; decode_query(&quot;foo=bar&quot;)[&quot;foo&quot;] [&quot;bar&quot;] If a value is given more than once, a list is returned: iex&gt; decode_query(&quot;foo=bar&amp;foo=baz&quot;)[&quot;foo&quot;] [&quot;bar&quot;, &quot;baz&quot;] Decoding an empty string returns an empty map. iex&gt; decode_query(&quot;&quot;) %{}","ref":"Bamboo.ElasticEmail.Utilities.html#decode_query/2","title":"Bamboo.ElasticEmail.Utilities.decode_query/2","type":"function"},{"doc":"Encodes an Elastic Email API query string. Maps can be encoded: iex&gt; encode_query(%{foo: &quot;bar&quot;, baz: &quot;bat&quot;}) &quot;baz=bat&amp;foo=bar&quot; Encoding keyword lists preserves the order of the fields: iex&gt; encode_query([foo: &quot;bar&quot;, baz: &quot;bat&quot;]) &quot;foo=bar&amp;baz=bat&quot; When encoding keyword lists with duplicate keys, the keys are repeated: iex&gt; encode_query([foo: &quot;bar&quot;, foo: &quot;bat&quot;]) &quot;foo=bar&amp;foo=bat&quot; Encoding maps or keys with simple lists will have the same result as repeated keys in a keyword list: iex&gt; encode_query(%{foo: [&quot;bar&quot;, &quot;bat&quot;]}) &quot;foo=bar&amp;foo=bat&quot; Encoding a list of maps works the same way: iex&gt; encode_query([%{foo: &quot;bar&quot;}, %{foo: &quot;bat&quot;}]) &quot;foo=bar&amp;foo=bat&quot; Nested maps and keyword lists are not supported and raise exceptions: iex&gt; encode_query(%{foo: %{bar: &quot;baz&quot;}}) ** (ArgumentError) cannot encode nested structures for foo iex&gt; encode_query(%{foo: [bar: &quot;baz&quot;]}) ** (ArgumentError) cannot encode nested structures for foo Structs work as well as maps: iex&gt; encode_query(%Point{x: 1, y: 1}) &quot;x=1&amp;y=1&quot; Other structures raise an exception: iex&gt; encode_query(3) ** (ArgumentError) can only encode maps, keyword lists, or lists of maps, got: 3","ref":"Bamboo.ElasticEmail.Utilities.html#encode_query/2","title":"Bamboo.ElasticEmail.Utilities.encode_query/2","type":"function"},{"doc":"Sends email using ElasticEmail&#39;s JSON API. Use this adapter to send emails through ElasticEmail&#39;s API. Requires that an API key is set in the config. This version is extracted from a hastily-constructed adapter for a Kinetic Commerce project. It makes several assumptions that will be broken in a future release: It always puts a charset of utf-8. It cannot send emails from Elastic Email templates. All emails are currently sent as transactional. It always passes ssl_options: [versions: [:&quot;tlsv1.2&quot;]] to Hackney. Example config # In config/config.exs, or config/prod.exs, etc. config :my_app, MyApp.Mailer, adapter: Bamboo.ElasticEmailAdapter, api_key: &quot;my_api_key&quot; # Define a Mailer. Maybe in lib/my_app/mailer.ex defmodule MyApp.Mailer do use Bamboo.Mailer, otp_app: :my_app end","ref":"Bamboo.ElasticEmailAdapter.html","title":"Bamboo.ElasticEmailAdapter","type":"module"},{"doc":"Bamboo.ElasticEmailAdapter ![Build Status][build_status_svg] An Elastic Email adapter for the Bamboo email app for Elixir.","ref":"readme.html","title":"Bamboo.ElasticEmailAdapter","type":"extras"},{"doc":"Add bamboo and bamboo_elastic_email to your mix.exs: def deps do [ {:bamboo, &quot;~&gt; 1.0&quot;}, {:bamboo_elastic_email, &quot;~&gt; 1.2&quot;} # OR: {:bamboo_elastic_email, github: &quot;KineticCafe/bamboo_elastic_email&quot;} ] end Add your Elastic Email API key to your config: # In your config/config.exs file config :my_app, MyApp.Mailer, adapter: Bamboo.ElasticEmailAdapter api_key: &quot;my-api-key&quot; Follow the Bamboo Getting Started Guide. To use Elastic Email&#39;s API parameters that are not automatically handled by this plug-in natively, you can place a value in the Email#private parameter: Email.put_private( email, :elastic_send_options, %{post_back: &quot;your-post-back-value&quot;, pool_name: &quot;your-pool-name&quot;} ) As of version 1.2, this can also be done with the helpers in the Bamboo.ElasticEmail module. Supported parameters are: :attachments :channel :charset :charset_body_amp :charset_body_html :charset_body_text :data_source :encoding_type :lists :merge :merge_source_filename :pool_name :post_back :segments :template :time_off_set_minutes :track_clicks :track_opens :utm_campaign :utm_content :utm_medium :utm_source A note on Bamboo compatibility The examples here use the Bamboo 1.0 API as an example, but bamboo_elastic_email is compatible with Bamboo 0.8 or Bamboo 1.0.","ref":"readme.html#installation","title":"Bamboo.ElasticEmailAdapter - Installation","type":"extras"},{"doc":"We welcome your contributions, as described in Contributing.md. Like all Kinetic Cafe open source projects, is under the Kinetic Cafe Open Source Code of Conduct.","ref":"readme.html#community-and-contributing","title":"Bamboo.ElasticEmailAdapter - Community and Contributing","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Jonathan Principe extended the postBack functionality into support for all previously unsupported ElasticEmail send parameters. Removed support for Elixir 1.3.","ref":"changelog.html#1-0-0","title":"Changelog - 1.0.0","type":"extras"},{"doc":"Updated dependencies to support Bamboo 1.0 Jonathan Principe added support for ElasticEmail postBack functionality.","ref":"changelog.html#0-2-0","title":"Changelog - 0.2.0","type":"extras"},{"doc":"Initial release, targeting Bamboo 0.8.0.","ref":"changelog.html#0-1-0","title":"Changelog - 0.1.0","type":"extras"},{"doc":"","ref":"contributing.html","title":"Contributing","type":"extras"},{"doc":"We value any contribution to Bamboo.ElasticEmailAdapter you can provide: a bug report, a feature request, or code contributions. Here are our guidelines for contributions: Changes will not be accepted without tests. Match our coding style; we use Credo and mix format. Use a thoughtfully named topic branch that contains your change. Rebase your commits into logical chunks as necessary. Use quality commit messages. Do not change the version number; when your patch is accepted and a release is made, the version will be updated at that point. Submit a GitHub pull request with your changes. Workflow Here&#39;s the most direct way to get your work merged into the project: Fork the project. Clone down your fork (git clone git://github.com/&lt;username&gt;/bamboo_elastic_email.git). Create a topic branch to contain your change (git checkout -b my_awesome_feature). Hack away, add tests. Not necessarily in that order. Make sure everything still passes with mix test. Make sure the code is clean with mix credo --strict. Make sure the code is clean with mix credo --strict. If necessary, rebase your commits into logical chunks, without errors. Push the branch up (git push origin my_awesome_feature). Create a pull request against KineticCafe/bamboo_elastic_email and describe your change does and the why you think it should be merged. Contributors Austin Ziegler created bamboo_elastic_email, based in part on bamboo_sparkpost by Andrew Timberlake. Jonathan Principe upgraded to support Bamboo 1.0 and added support for all ElasticEmail send parameters","ref":"contributing.html#contributing","title":"Contributing - Contributing","type":"extras"},{"doc":"","ref":"licence.html","title":"Licence","type":"extras"},{"doc":"This software is available under an MIT-style licence. Copyright 2017-2018 Kinetic Commerce and contributors. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The names of its contributors may not be used to endorse or promote products derived from this software without specific prior written permission. The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"licence.html#licence","title":"Licence - Licence","type":"extras"}]